Subject: bug#66697: 30.0.50; [PATCH] desktop-save-mode with expiring remote buffers

From: Manuel Giraud <[email-masked]>
Date: Tue, 24 Oct 2023 14:00:36 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 24 Oct 2023 11:21:21 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> 
>> [...]
>> 
>> > Doesn't this tell that the problem is in dired.el, not in desktop.el?
>> > The problematic call comes from dired-desktop-buffer-misc-data, not
>> > from desktop.el.  So it's dired-desktop-buffer-misc-data that needs to
>> > be fixed.
>> 
>> So I work a bit on 'dired-desktop-buffer-misc-data' and have the
>> following solution:
>
> Sounds right, but don't you get byte-compiler warnings about
> desktop-files-not-to-save not being known?

I haven't properly built Emacs with this, yet.  I'll try and report.
-- 
Manuel Giraud